## r-bioc-tfbstools 1.20.0%2Bdfsg

=== debian/changelog ===
r-bioc-tfbstools (1.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Nov 2018 22:11:06 +0100

r-bioc-tfbstools (1.18.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #900417)

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 17:31:34 +0200

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/TFBSTools.html .*/TFBSTools_(.*).tar.gz

## r-bioc-tfbstools 1.20.0+dfsg

=== DESCRIPTION ===
Package: TFBSTools
Version: 1.20.0
Date: 2018-09-17
Title: Software Package for Transcription Factor Binding Site (TFBS)
        Analysis
Description: TFBSTools is a package for the analysis and manipulation of 
             transcription factor binding sites. It includes matrices conversion
             between Position Frequency Matirx (PFM), 
             Position Weight Matirx (PWM) and Information Content Matrix (ICM).
             It can also scan putative TFBS from sequence/alignment, 
             query JASPAR database and provides a wrapper of 
             de novo motif discovery software.
Authors@R: person("Ge", "Tan", email="ge_tan@live.com",
                  role = c("aut", "cre"))
VignetteBuilder: knitr
Imports: Biobase(>= 2.28), Biostrings(>= 2.36.4), BiocGenerics(>=
        0.14.0), BiocParallel(>= 1.2.21), BSgenome(>= 1.36.3),
        caTools(>= 1.17.1), CNEr(>= 1.4.0), DirichletMultinomial(>=
        1.10.0), GenomeInfoDb(>= 1.6.1), GenomicRanges(>= 1.20.6),
        gtools(>= 3.5.0), grid, IRanges(>= 2.2.7), methods, DBI (>=
        0.6), RSQLite(>= 1.0.0), rtracklayer(>= 1.28.10), seqLogo(>=
        1.34.0), S4Vectors(>= 0.9.25), TFMPvalue(>= 0.0.5), XML(>=
        3.98-1.3), XVector(>= 0.8.0), parallel
Depends: R (>= 3.2.2)
Suggests: BiocStyle(>= 1.7.7), JASPAR2014(>= 1.4.0), knitr(>= 1.11),
        testthat, JASPAR2016(>= 1.0.0)
License: GPL-2
URL: https://github.com/ge11232002/TFBSTools
BugReports: https://github.com/ge11232002/TFBSTools/issues
Type: Package
biocViews: MotifAnnotation, GeneRegulation, MotifDiscovery,
        Transcription, Alignment
NeedsCompilation: yes
LazyData: yes
Collate: AllGenerics.r AllClasses.r show-methods.r util-methods.r
        XMatrix-methods.r XMatrixList-methods.r SiteSet-methods.r
        coercion-methods.r DB-methods.r JASPAR.R
        PairwiseAlignment-methods.r ICM-methods.r PWM-methods.r
        Motif-methods.r PFM-methods.r Wrappers-methods.r
        DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
git_url: https://git.bioconductor.org/packages/TFBSTools
git_branch: RELEASE_3_8
git_last_commit: 74035fc
git_last_commit_date: 2018-10-30
Date/Publication: 2018-10-30
Packaged: 2018-10-31 00:01:51 UTC; biocbuild
Author: Ge Tan [aut, cre]
Maintainer: Ge Tan <ge_tan@live.com>

=== debian/control ===
Source: r-bioc-tfbstools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-biobase (>= 2.28),
               r-bioc-biostrings (>= 2.36.4),
               r-bioc-biocgenerics (>= 0.14.0),
               r-bioc-biocparallel (>= 1.2.21),
               r-bioc-bsgenome (>= 1.36.3),
               r-cran-catools (>= 1.17.1),
               r-bioc-cner,
               r-bioc-dirichletmultinomial,
               r-bioc-genomeinfodb (>= 1.6.1),
               r-bioc-genomicranges (>= 1.20.6),
               r-cran-gtools (>= 3.5.0),
               r-bioc-iranges (>= 2.2.7),
               r-cran-dbi (>= 0.6),
               r-cran-rsqlite (>= 1.0.0),
               r-bioc-rtracklayer (>= 1.28.10),
               r-bioc-seqlogo,
               r-bioc-s4vectors,
               r-cran-tfmpvalue,
               r-cran-xml (>= 3.98-1.3),
               r-bioc-xvector (>= 0.8.0)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
Homepage: https://bioconductor.org/packages/TFBSTools/

Package: r-bioc-tfbstools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Transcription Factor Binding Site (TFBS) Analysis
 TFBSTools is a package for the analysis and manipulation of
 transcription factor binding sites. It includes matrices conversion
 between Position Frequency Matirx (PFM), Position Weight Matirx (PWM)
 and Information Content Matrix (ICM). It can also scan putative TFBS
 from sequence/alignment, query JASPAR database and provides a wrapper of
 de novo motif discovery software.

## r-bioc-tfbstools 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: TFBSTools
-Version: 1.20.0
-Date: 2018-09-17
+Version: 1.22.0
+Date: 2018-11-16
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
 Description: TFBSTools is a package for the analysis and manipulation of 
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_8
-git_last_commit: 74035fc
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
-Packaged: 2018-10-31 00:01:51 UTC; biocbuild
+git_branch: RELEASE_3_9
+git_last_commit: 613d356
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
+Packaged: 2019-05-03 00:50:35 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Remove test requiring not yet packaged JASPAR2016

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 11:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biobase (>= 2.28),
@@ -12,7 +12,7 @@
                r-bioc-biocgenerics (>= 0.14.0),
                r-bioc-biocparallel (>= 1.2.21),
                r-bioc-bsgenome (>= 1.36.3),
-               r-cran-catools (>= 1.17.1),
+               r-cran-catools,
                r-bioc-cner,
                r-bioc-dirichletmultinomial,
                r-bioc-genomeinfodb (>= 1.6.1),
@@ -25,9 +25,9 @@
                r-bioc-seqlogo,
                r-bioc-s4vectors,
                r-cran-tfmpvalue,
-               r-cran-xml (>= 3.98-1.3),
+               r-cran-xml,
                r-bioc-xvector (>= 0.8.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
 Homepage: https://bioconductor.org/packages/TFBSTools/

## r-bioc-tfbstools 1.24.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biobase (>= 2.28),
@@ -27,7 +27,7 @@
                r-cran-tfmpvalue,
                r-cran-xml,
                r-bioc-xvector (>= 0.8.0)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
 Homepage: https://bioconductor.org/packages/TFBSTools/

## r-bioc-tfbstools 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: TFBSTools
-Version: 1.22.0
-Date: 2018-11-16
+Version: 1.24.0
+Date: 2019-09-10
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
 Description: TFBSTools is a package for the analysis and manipulation of 
@@ -23,7 +23,7 @@
         3.98-1.3), XVector(>= 0.8.0), parallel
 Depends: R (>= 3.2.2)
 Suggests: BiocStyle(>= 1.7.7), JASPAR2014(>= 1.4.0), knitr(>= 1.11),
-        testthat, JASPAR2016(>= 1.0.0)
+        testthat, JASPAR2016(>= 1.0.0), JASPAR2018(>= 1.0.0)
 License: GPL-2
 URL: https://github.com/ge11232002/TFBSTools
 BugReports: https://github.com/ge11232002/TFBSTools/issues
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_9
-git_last_commit: 613d356
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
-Packaged: 2019-05-03 00:50:35 UTC; biocbuild
+git_branch: RELEASE_3_10
+git_last_commit: 952afaa
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
+Packaged: 2019-10-30 00:47:16 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Nov 2019 21:40:26 +0100

## r-bioc-tfbstools 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: TFBSTools
-Version: 1.24.0
-Date: 2019-09-10
+Version: 1.26.0
+Date: 2020-03-18
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
 Description: TFBSTools is a package for the analysis and manipulation of 
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_10
-git_last_commit: 952afaa
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
-Packaged: 2019-10-30 00:47:16 UTC; biocbuild
+git_branch: RELEASE_3_11
+git_last_commit: 1466c2e
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
+Packaged: 2020-04-28 01:02:43 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.26.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:10:41 +0000

r-bioc-tfbstools (1.26.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 May 2020 14:37:39 +0200

r-bioc-tfbstools (1.24.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix autopkgtest.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 15 Mar 2020 15:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-bioc-tfbstools
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -27,10 +28,11 @@
                r-cran-tfmpvalue,
                r-cran-xml,
                r-bioc-xvector (>= 0.8.0)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
 Homepage: https://bioconductor.org/packages/TFBSTools/
+Rules-Requires-Root: no
 
 Package: r-bioc-tfbstools
 Architecture: any

## r-bioc-tfbstools 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: TFBSTools
-Version: 1.26.0
+Version: 1.28.0
 Date: 2020-03-18
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_11
-git_last_commit: 1466c2e
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
-Packaged: 2020-04-28 01:02:43 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: 15e7cf7
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-28 03:56:06 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 15:47:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-tfbstools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biobase (>= 2.28),

## r-bioc-tfbstools 1.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: TFBSTools
-Version: 1.28.0
-Date: 2020-03-18
+Version: 1.32.0
+Date: 2021-09-10
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
 Description: TFBSTools is a package for the analysis and manipulation of 
@@ -23,7 +23,7 @@
         3.98-1.3), XVector(>= 0.8.0), parallel
 Depends: R (>= 3.2.2)
 Suggests: BiocStyle(>= 1.7.7), JASPAR2014(>= 1.4.0), knitr(>= 1.11),
-        testthat, JASPAR2016(>= 1.0.0), JASPAR2018(>= 1.0.0)
+        testthat, JASPAR2016(>= 1.0.0), JASPAR2018(>= 1.0.0), rmarkdown
 License: GPL-2
 URL: https://github.com/ge11232002/TFBSTools
 BugReports: https://github.com/ge11232002/TFBSTools/issues
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_12
-git_last_commit: 15e7cf7
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-28 03:56:06 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: 2355056
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 22:58:21 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.32.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 08:20:20 +0100

r-bioc-tfbstools (1.30.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-biobase,
      r-bioc-biocgenerics, r-bioc-biocparallel, r-bioc-biostrings,
      r-bioc-bsgenome, r-bioc-genomeinfodb, r-bioc-genomicranges,
      r-bioc-iranges, r-bioc-rtracklayer, r-bioc-xvector and r-cran-rsqlite.

  [ Nilesh Patra ]
  * d/control: Versioned B-D as per DESCRIPTION file

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Sep 2021 18:58:04 +0530

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,27 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase (>= 2.28),
-               r-bioc-biostrings (>= 2.36.4),
-               r-bioc-biocgenerics (>= 0.14.0),
-               r-bioc-biocparallel (>= 1.2.21),
-               r-bioc-bsgenome (>= 1.36.3),
+               r-bioc-biobase,
+               r-bioc-biostrings,
+               r-bioc-biocgenerics,
+               r-bioc-biocparallel,
+               r-bioc-bsgenome,
                r-cran-catools,
                r-bioc-cner,
                r-bioc-dirichletmultinomial,
-               r-bioc-genomeinfodb (>= 1.6.1),
-               r-bioc-genomicranges (>= 1.20.6),
-               r-cran-gtools (>= 3.5.0),
-               r-bioc-iranges (>= 2.2.7),
-               r-cran-dbi (>= 0.6),
-               r-cran-rsqlite (>= 1.0.0),
-               r-bioc-rtracklayer (>= 1.28.10),
+               r-bioc-genomeinfodb,
+               r-bioc-genomicranges,
+               r-cran-gtools,
+               r-bioc-iranges,
+               r-cran-dbi,
+               r-cran-rsqlite,
+               r-bioc-rtracklayer,
                r-bioc-seqlogo,
                r-bioc-s4vectors,
                r-cran-tfmpvalue,
                r-cran-xml,
-               r-bioc-xvector (>= 0.8.0)
-Standards-Version: 4.5.0
+               r-bioc-xvector
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
 Homepage: https://bioconductor.org/packages/TFBSTools/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

## r-bioc-tfbstools 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: TFBSTools
-Version: 1.32.0
+Version: 1.34.0
 Date: 2021-09-10
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_14
-git_last_commit: 2355056
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 22:58:21 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 7f8d0cb
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 22:16:15 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.34.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 21:24:41 +0200

## r-bioc-tfbstools 1.36.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: TFBSTools
-Version: 1.34.0
+Version: 1.36.0
 Date: 2021-09-10
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_15
-git_last_commit: 7f8d0cb
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 22:16:15 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 3358c89
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 23:12:55 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.36.0+dfsg-2) unstable; urgency=medium

  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 08:47:36 +0100

r-bioc-tfbstools (1.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 22:09:36 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                r-cran-tfmpvalue,
                r-cran-xml,
                r-bioc-xvector
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
 Homepage: https://bioconductor.org/packages/TFBSTools/

## r-bioc-tfbstools 1.38.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: TFBSTools
-Version: 1.36.0
+Version: 1.38.0
 Date: 2021-09-10
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_16
-git_last_commit: 3358c89
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 23:12:55 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 2ce1716
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 23:04:44 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.38.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:28:39 +0200

## r-bioc-tfbstools 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: TFBSTools
-Version: 1.38.0
+Version: 1.40.0
 Date: 2021-09-10
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
@@ -39,10 +39,10 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_17
-git_last_commit: 2ce1716
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 23:04:44 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: c3a176b
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 23:21:24 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.40.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 10:51:41 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                r-cran-tfmpvalue,
                r-cran-xml,
                r-bioc-xvector
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
 Homepage: https://bioconductor.org/packages/TFBSTools/

## r-bioc-tfbstools 1.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: TFBSTools
-Version: 1.40.0
-Date: 2021-09-10
+Version: 1.42.0
+Date: 2024-04-23
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
 Description: TFBSTools is a package for the analysis and manipulation of 
@@ -13,14 +13,15 @@
 Authors@R: person("Ge", "Tan", email="ge_tan@live.com",
                   role = c("aut", "cre"))
 VignetteBuilder: knitr
-Imports: Biobase(>= 2.28), Biostrings(>= 2.36.4), BiocGenerics(>=
-        0.14.0), BiocParallel(>= 1.2.21), BSgenome(>= 1.36.3),
-        caTools(>= 1.17.1), CNEr(>= 1.4.0), DirichletMultinomial(>=
-        1.10.0), GenomeInfoDb(>= 1.6.1), GenomicRanges(>= 1.20.6),
-        gtools(>= 3.5.0), grid, IRanges(>= 2.2.7), methods, DBI (>=
-        0.6), RSQLite(>= 1.0.0), rtracklayer(>= 1.28.10), seqLogo(>=
-        1.34.0), S4Vectors(>= 0.9.25), TFMPvalue(>= 0.0.5), XML(>=
-        3.98-1.3), XVector(>= 0.8.0), parallel
+Imports: Biobase(>= 2.28), Biostrings(>= 2.36.4), pwalign,
+        BiocGenerics(>= 0.14.0), BiocParallel(>= 1.2.21), BSgenome(>=
+        1.36.3), caTools(>= 1.17.1), CNEr(>= 1.4.0),
+        DirichletMultinomial(>= 1.10.0), GenomeInfoDb(>= 1.6.1),
+        GenomicRanges(>= 1.20.6), gtools(>= 3.5.0), grid, IRanges(>=
+        2.2.7), methods, DBI (>= 0.6), RSQLite(>= 1.0.0),
+        rtracklayer(>= 1.28.10), seqLogo(>= 1.34.0), S4Vectors(>=
+        0.9.25), TFMPvalue(>= 0.0.5), XML(>= 3.98-1.3), XVector(>=
+        0.8.0), parallel
 Depends: R (>= 3.2.2)
 Suggests: BiocStyle(>= 1.7.7), JASPAR2014(>= 1.4.0), knitr(>= 1.11),
         testthat, JASPAR2016(>= 1.0.0), JASPAR2018(>= 1.0.0), rmarkdown
@@ -39,10 +40,11 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_18
-git_last_commit: c3a176b
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 23:21:24 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 713402e
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-01
+Packaged: 2024-05-01 23:46:21 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.42.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:30:35 +0200

r-bioc-tfbstools (1.42.0+dfsg-1~0exp2) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 15:37:12 +0200

r-bioc-tfbstools (1.42.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: add missing build-dep on r-bioc-pwalign

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Jul 2024 12:54:00 +0200

r-bioc-tfbstools (1.42.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Jul 2024 15:33:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,28 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase,
-               r-bioc-biostrings,
-               r-bioc-biocgenerics,
-               r-bioc-biocparallel,
-               r-bioc-bsgenome,
+               r-bioc-biobase (>= 2.64.0),
+               r-bioc-biostrings (>= 2.72.1),
+               r-bioc-pwalign (>= 1.0.0-2~0exp1),
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-bsgenome (>= 1.72.0),
                r-cran-catools,
-               r-bioc-cner,
-               r-bioc-dirichletmultinomial,
-               r-bioc-genomeinfodb,
-               r-bioc-genomicranges,
+               r-bioc-cner (>= 1.40.0),
+               r-bioc-dirichletmultinomial (>= 1.46.0),
+               r-bioc-genomeinfodb (>= 1.40.1),
+               r-bioc-genomicranges (>= 1.56.1),
                r-cran-gtools,
-               r-bioc-iranges,
+               r-bioc-iranges (>= 2.38.1),
                r-cran-dbi,
                r-cran-rsqlite,
-               r-bioc-rtracklayer,
-               r-bioc-seqlogo,
-               r-bioc-s4vectors,
+               r-bioc-rtracklayer (>= 1.64.0),
+               r-bioc-seqlogo (>= 1.70.0),
+               r-bioc-s4vectors (>= 0.42.1),
                r-cran-tfmpvalue,
                r-cran-xml,
-               r-bioc-xvector
+               r-bioc-xvector (>= 0.44.0),
+               architecture-is-64-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git

## r-bioc-tfbstools 1.44.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: TFBSTools
-Version: 1.42.0
+Version: 1.44.0
 Date: 2024-04-23
 Title: Software Package for Transcription Factor Binding Site (TFBS)
         Analysis
@@ -40,11 +40,11 @@
         Motif-methods.r PFM-methods.r Wrappers-methods.r
         DirichletMixture.r TFFM.R TFFMseqLogo.R IO.R Enrichment.R
 git_url: https://git.bioconductor.org/packages/TFBSTools
-git_branch: RELEASE_3_19
-git_last_commit: 713402e
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-01
-Packaged: 2024-05-01 23:46:21 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 9bb14be
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 03:12:35 UTC; biocbuild
 Author: Ge Tan [aut, cre]
 Maintainer: Ge Tan <ge_tan@live.com>

=== debian/changelog ===
r-bioc-tfbstools (1.44.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 23:24:23 +0100

r-bioc-tfbstools (1.44.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 18:57:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,29 +7,29 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase (>= 2.64.0),
-               r-bioc-biostrings (>= 2.72.1),
-               r-bioc-pwalign (>= 1.0.0-2~0exp1),
-               r-bioc-biocgenerics (>= 0.50.0),
-               r-bioc-biocparallel (>= 1.38.0),
-               r-bioc-bsgenome (>= 1.72.0),
+               r-bioc-biobase,
+               r-bioc-biostrings,
+               r-bioc-pwalign,
+               r-bioc-biocgenerics,
+               r-bioc-biocparallel,
+               r-bioc-bsgenome,
                r-cran-catools,
-               r-bioc-cner (>= 1.40.0),
-               r-bioc-dirichletmultinomial (>= 1.46.0),
-               r-bioc-genomeinfodb (>= 1.40.1),
-               r-bioc-genomicranges (>= 1.56.1),
+               r-bioc-cner,
+               r-bioc-dirichletmultinomial,
+               r-bioc-genomeinfodb,
+               r-bioc-genomicranges,
                r-cran-gtools,
-               r-bioc-iranges (>= 2.38.1),
+               r-bioc-iranges,
                r-cran-dbi,
                r-cran-rsqlite,
-               r-bioc-rtracklayer (>= 1.64.0),
-               r-bioc-seqlogo (>= 1.70.0),
-               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-rtracklayer,
+               r-bioc-seqlogo,
+               r-bioc-s4vectors,
                r-cran-tfmpvalue,
                r-cran-xml,
-               r-bioc-xvector (>= 0.44.0),
+               r-bioc-xvector,
                architecture-is-64-bit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tfbstools.git
 Homepage: https://bioconductor.org/packages/TFBSTools/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/TFBSTools.html .*/TFBSTools_(.*).tar.gz
